<article  id="post-<?php the_ID(); ?>" <?php post_class( 'blog-item hentry'); ?> itemprop="blogPost" itemscope="itemscope" itemtype="http://schema.org/BlogPosting">

	<div class="post-head clearfix">
		<div class="date">
			<a href="<?php the_permalink(); ?>">
				<span class="thedate"><?php echo get_the_date('d'); ?></span>
				<span class="month"><?php echo get_the_date('M'); ?></span><span class="year"><?php echo get_the_date('Y'); ?></span>
			</a>
		</div>
		<div class="block-title clearfix">
			<h1 class="post-title entry-title" itemprop="headline">
				<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h1>

			<div class="meta-wrapper clearfix">
				<span class="author">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
						<span class="author-name">
							<span class="author-separator"><?php esc_html_e( 'by', 'gedung' ); ?></span><span class="vcard"> <?php echo get_the_author_meta( 'display_name' ); ?></span>
						</span>
					</a>
				</span>
				<span class="standard-post-categories">
					<span><i class="icon-simple-line-icons-136"></i></span>
					<span><?php the_category(', '); ?></span>
				</span>
			</div>
		</div>
	</div>
			
	<?php if ( has_post_thumbnail()) { 
		$real_image = get_post_thumbnail_id();
		$image_url = wp_get_attachment_image_src( $real_image, 'full'); 
		$image_meta = wp_get_attachment_metadata( $real_image );
		$image_width = $image_meta["width"];
		$image_height = $image_meta["height"]; ?>
		<div class="post-thumb" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
			<?php the_post_thumbnail(); ?>
			<meta itemprop="url" content="<?php echo esc_url( $image_url[0] ); ?>">
			<?php echo '<meta itemprop="width" content="'.$image_width.'"><meta itemprop="height" content="'.$image_height.'">'; ?>
		</div><!-- thumbnail-->
	<?php } ?> 

	<div class="post-content-wrap">
		<div class="post-content">

			<div class="content-inner-wrapper clearfix">

				<div class="post-text entry-content clearfix" itemprop="text">
					<?php 
						the_content(); 
						wp_link_pages( array(
							'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'gedung' ) . '</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
							'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'gedung' ) . ' </span>%',
							'separator'   => '<span class="screen-reader-text">, </span>',
						) ); 
					?>
				</div>
				
				<?php if(has_tag()) { ?>
					<div class="tag-wrapper clearfix"><?php the_tags('','',''); ?></div>
				<?php } ?>
				
			</div>
		</div>
	</div>

	<!-- pagination start -->
	<?php gedung_single_post_pagination(); ?>
	<!-- pagination end -->

	<?php if ( !post_password_required()) {
		get_template_part( 'inc/part/related', 'post' ); 
	} ?>

</article><!-- #post-<?php the_ID(); ?> -->

<?php 
	if ( is_singular() ) wp_enqueue_script( "comment-reply" ); 
	if ( comments_open() || '0' != get_comments_number() ) comments_template(); 
?>