<article id="post-<?php the_ID(); ?>" <?php post_class( 'blog-item'); ?>>
	
	<div class="post-head clearfix">
		<div class="date">
			<a href="<?php the_permalink(); ?>">
				<span class="thedate"><?php echo get_the_date('d'); ?></span>
				<span class="month"><?php echo get_the_date('M'); ?></span><span class="year"><?php echo get_the_date('Y'); ?></span>
			</a>
		</div>
		<div class="block-title clearfix">
			<h2 class="post-title">
				<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h2>
			
			<div class="meta-wrapper clearfix">
				<span class="author">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
						<span class="author-name">
							<span class="author-separator"><?php esc_html_e( 'by', 'gedung' ); ?></span><span class="vcard"> <?php echo get_the_author_meta( 'display_name' ); ?></span>
						</span>
					</a>
				</span>
				<span class="standard-post-categories">
					<span><i class="icon-simple-line-icons-136"></i></span>
					<span><?php the_category(', '); ?></span>
				</span>
			</div>
		</div>
	</div>
	
	<?php if ( class_exists( 'acf' ) ) { ?>
	<div class="featured-video clearfix">
		<?php 
			$video_url = get_field('video_url');
			$video_embed = get_field('video_embed');
			$video_file = get_field('video_file');
			
			if($video_url !== ''){ 
				echo wp_oembed_get( esc_url( $video_url ));
			} 

			elseif($video_embed !== '') { 
				echo wp_specialchars_decode( $video_embed );
			}

			elseif($video_file !== '') {  ?>
			<?php echo do_shortcode( '[video src="'. sanitize_text_field( $video_file ).'"]' ) ?>  
		<?php } ?>
	</div>
	<?php } ?>

	<div class="post-content-wrap">
		<div class="post-content">

			<div class="post-text">
				<?php the_excerpt(); ?>
			</div>

			<div class="btn-more">
				<a href="<?php the_permalink(); ?>" class="read-more"><?php esc_html_e( 'Read More', 'gedung' ); ?></a>
			</div>

		</div>
	</div>

</article>