<?php

function gedung_header_alt_ext_opt() {

	$gedung_header_alt_opt = array(		

		/* 1.4. Header Alternative Options */
		array(
			'id'        => 'header_scheme',
			'type'      => 'button_set',
			'title'     => esc_html__('Alternative Header Scheme', 'gedung'),
			'options' 	 => array(
				'enable' 	=> esc_html__('Enable','gedung'),
				'disable' => esc_html__('Disable','gedung'),
			),
			'default'  => 'enable'
		),
		array(
			'id'       => 'header_text_color',
			'type'     => 'color',
			'title'    => esc_html__('Header text color', 'gedung'),
			'subtitle' => esc_html__('Set header text color', 'gedung'),
			'default'  => '#ffffff',
			'validate' => 'color',
			'output'   => array('body .alt-head .main-menu ul.sm-clean>li>a, body .alt-head .search-wrap #btn-search i, body .alt-head .main-menu ul.sm-clean>li.current-menu-item>a, .alt-head .site-title a'),
			'required' => array('header_scheme','=','enable'),
		),
		array(
			'id' => 'header_alt_logo',
			'type' => 'media',
			'url' => true,
			'compiler' => 'true',
			'title' => esc_html__('Alternative Logo', 'gedung'), 
			'desc' => esc_html__('Upload your logo image here (any size).', 'gedung'),
			'required' => array('header_scheme','=','enable'),
			'default'  	=> array(
		        'url'	=>''
		    ),
		),
		array(
			'id' => 'header_alt_bg',
			'type' => 'background',
			'output' => array('header#header.inner-head-wrap.alt-head'),
			'title' => esc_html__('Header Alternative Background', 'gedung'),
			'subtitle' => esc_html__('Header background with image, color, etc.', 'gedung'),
			'default' => 'transparent',
			'required' => array('header_scheme','=','enable'),
		),
		/* end of header alternative options*/

		array(
			'id'        => 'space_fixed_alt',
			'type'      => 'button_set',
			'title'     => esc_html__('Header Fixed Space', 'gedung'),
			'options' 	 => array(
				'on' 	=> esc_html__('Enable','gedung'),
				'off' => esc_html__('Disable','gedung'),
			),
			'default'  => 'off'
		),

	);

return $gedung_header_alt_opt;
}