/*
*
*	Live Customiser Script
*	------------------------------------------------
	*	Themes Awesome Framework
	* 	Copyright gedung 2018 - http://www.themesawesome.com
*
*/
( function( $ ){

	'use strict';

	/* ======================== HEADER SECTION ======================== */
			
	// HEADER STYLING

	wp.customize('menu_header',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap .main-menu ul.sm-clean>li>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:active, .header-style-1-wrap .search-wrap #btn-search i, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a, .header-style-1-wrap .main-menu ul.sm-clean>li>a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('menu_header',function( value ) {
		value.bind(function(to) {
			$('.sm-clean a span.sub-arrow').css('border-top-color', to ? to : '' );
		});
	});

	wp.customize('menu_hover_header',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap .main-menu ul.sm-clean>li>a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('menu_border',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap .main-menu ul.sm-clean>li>a::before, .header-style-1-wrap .main-menu ul.sm-clean>li.current-menu-item>a::before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sub_bg',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap ul.sm-clean ul').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sub_menu',function( value ) {
		value.bind(function(to) {
			$('.header-style-1-wrap ul.sm-clean ul li a').css('color', to ? to : '' );
		});
	});

	wp.customize('search_close',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .btn--search-close').css('color', to ? to : '' );
		});
	});

	wp.customize('search_bar_title',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .search__info').css('color', to ? to : '' );
		});
	});

	wp.customize('search_sugges',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .search__suggestion h4').css('color', to ? to : '' );
			$('.header-style-1 .search__suggestion h4::before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('search_desc_sugges',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .search__suggestion p').css('color', to ? to : '' );
		});
	});

	wp.customize('search_bord',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .search__input').css('color', to ? to : '' );
		});
	});


	// HEADER ALTERNATIVE STYLING

	wp.customize('alt_menu_hover',function( value ) {
		value.bind(function(to) {
			$('body .alt-head .main-menu ul.sm-clean>li>a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('alt_menu_border',function( value ) {
		value.bind(function(to) {
			$('body .alt-head .main-menu ul.sm-clean>li>a::before, body .alt-head .main-menu ul.sm-clean>li.current-menu-item>a::before').css('background-color', to ? to : '' );
		});
	});



	/* ======================== CONTENT SECTION ======================== */

	// BLOG

	wp.customize('post_meta_border',function( value ) {
		value.bind(function(to) {
			$('.post-head .date:after').css('border-right-color', to ? to : '' );
		});
	});

	wp.customize('post_meta_date',function( value ) {
		value.bind(function(to) {
			$('.post-head .date span.thedate').css('color', to ? to : '' );
		});
	});

	wp.customize('post_meta_monthyear',function( value ) {
		value.bind(function(to) {
			$('.post-head .date span').css('color', to ? to : '' );
		});
	});

	wp.customize('post_meta_text',function( value ) {
		value.bind(function(to) {
			$('.blog-item .meta-wrapper, .blog-item .meta-wrapper span, .blog-item .meta-wrapper a').css('color', to ? to : '' );
		});
	});

	wp.customize('post_meta_hover',function( value ) {
		value.bind(function(to) {
			$('.blog-item .meta-wrapper span.vcard:hover, .blog-item .meta-wrapper a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('post_meta_textbord',function( value ) {
		value.bind(function(to) {
			$('.blog-item .meta-wrapper span.standard-post-categories:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('post_title',function( value ) {
		value.bind(function(to) {
			$('.post-head .block-title .post-title a').css('color', to ? to : '' );
		});
	});

	wp.customize('post_hover_title',function( value ) {
		value.bind(function(to) {
			$('.post-head .block-title .post-title a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('post_desc',function( value ) {
		value.bind(function(to) {
			$('.blog-content-wrap .post-content .post-text p, .comment-content p').css('color', to ? to : '' );
		});
	});

	wp.customize('read_more',function( value ) {
		value.bind(function(to) {
			$('.post-content a.read-more').css('color', to ? to : '' );
		});
	});

	wp.customize('read_hover_more',function( value ) {
		value.bind(function(to) {
			$('.post-content a.read-more:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('read_more_bg',function( value ) {
		value.bind(function(to) {
			$('.blog-item .btn-more .read-more').css('background-color', to ? to : '' );
		});
	});

	wp.customize('read_more_bg_hover',function( value ) {
		value.bind(function(to) {
			$('.blog-item .btn-more .read-more:hover').css('background-color', to ? to : '' );
		});
	});



	// SINGLE BLOG

	wp.customize('text_single',function( value ) {
		value.bind(function(to) {
			$('.post-content .post-text p, .comment-content p, .blog-single .post-author .author-desc').css('color', to ? to : '' );
		});
	});

	wp.customize('text_quote',function( value ) {
		value.bind(function(to) {
			$('.post-text blockquote p').css('color', to ? to : '' );
		});
	});

	wp.customize('quote_border',function( value ) {
		value.bind(function(to) {
			$('.single-post-style .post-text blockquote p:before').css('border-color', to ? to : '' );
		});
	});

	wp.customize('quote_icon',function( value ) {
		value.bind(function(to) {
			$('.post-text blockquote p:after').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_text',function( value ) {
		value.bind(function(to) {
			$('.single-post-style .tag-wrapper a').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_hover',function( value ) {
		value.bind(function(to) {
			$('.single-post-style .tag-wrapper a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_bg',function( value ) {
		value.bind(function(to) {
			$('.tag-wrapper a').css('background-color', to ? to : '' );
		});
	});

	wp.customize('tag_bg_hover',function( value ) {
		value.bind(function(to) {
			$('.tag-wrapper a:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('meta_title',function( value ) {
		value.bind(function(to) {
			$('.meta-content-bottom .meta-title').css('color', to ? to : '' );
		});
	});

	wp.customize('meta_link',function( value ) {
		value.bind(function(to) {
			$('.blog-single .post-author .author-name a').css('color', to ? to : '' );
		});
	});

	wp.customize('meta_link_hover',function( value ) {
		value.bind(function(to) {
			$('.blog-single .post-author .author-name a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('prev_bord',function( value ) {
		value.bind(function(to) {
			$('.blog-single .next-prev-post a').css('color', to ? to : '' );
		});
	});

	wp.customize('prev_link',function( value ) {
		value.bind(function(to) {
			$('.blog-single .next-prev-post .title').css('color', to ? to : '' );
		});
	});

	wp.customize('prev_hover_link',function( value ) {
		value.bind(function(to) {
			$('.blog-single .next-prev-post a:hover .title').css('color', to ? to : '' );
		});
	});

	wp.customize('border_prev',function( value ) {
		value.bind(function(to) {
			$('.blog-single .next-prev-post, .comment-list').css('border-top-color', to ? to : '' );
			$('.blog-single .next-prev-post, .comment-list').css('border-bottom-color', to ? to : '' );
			$('.next-prev-post .next-post').css('border-left-color', to ? to : '' );
			$('.next-prev-post .prev-post').css('border-right-color', to ? to : '' );
		});
	});

	wp.customize('comment_title',function( value ) {
		value.bind(function(to) {
			$('.comment-respond h3.comment-reply-title, .comments-title h3').css('color', to ? to : '' );
		});
	});

	wp.customize('comment_link',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.logged-in-as a, .comment-respond form p.logged-in-as, .comment-action a').css('color', to ? to : '' );
		});
	});

	wp.customize('comment_hover_link',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.logged-in-as a:hover, .comment-action a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_comment_bg',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.form-submit input').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_comment_bg_hover',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.form-submit input:hover, .contact-form-style-1 .wpcf7-submit:hover, .contact-form-style-2 .wpcf7-submit:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_comment_text',function( value ) {
		value.bind(function(to) {
			$('.comment-respond form p.form-submit input').css('color', to ? to : '' );
		});
	});

	wp.customize('next_archive',function( value ) {
		value.bind(function(to) {
			$('.archive .post-navigation .btn, .search-page .post-navigation .btn').css('color', to ? to : '' );
		});
	});

	wp.customize('border_content',function( value ) {
		value.bind(function(to) {
			$('.blog-single .next-prev-post span').css('background-color', to ? to : '' );
			$('.content-bottom, .comments-area, textarea').css('border-color', to ? to : '' );
			$('.comment-list').css('border-bottom-color', to ? to : '' );
		});
	});


	// SIDEBAR & WIDGET

	wp.customize('sidebar_search_bg',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget.widget_search input').css('background-color', to ? to : '' );
		});
	});

	wp.customize('sidebar_search_icon',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget.widget_search button i').css('color', to ? to : '' );
		});
	});

	wp.customize('sidebar_search_text',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget.widget_search input').css('color', to ? to : '' );
		});
	});

	wp.customize('gedung_widget_title',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget h4.widget-title').css('color', to ? to : '' );
		});
	});

	wp.customize('gedung_border_title',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget h4.widget-title:after').css('background-color', to ? to : '' );
		});
	});

	wp.customize('gedung_border2_title',function( value ) {
		value.bind(function(to) {
			$('.sidebar .widget h4.widget-title:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('link_text_sidebar',function( value ) {
		value.bind(function(to) {
			$('.sidebar #recent-posts-2 ul li a, .sidebar .widget .recent-news .post-content h5 a, .sidebar #recent-comments-2 ul li a, li.recentcomments, .sidebar #archives-2 ul li a, .sidebar #categories-2 ul li a, .sidebar #meta-2 ul li a, .latest-post-wrap h5 a, .latest-post-wrap .post-content h5').css('color', to ? to : '' );
		});
	});

	wp.customize('link_hover_sidebar',function( value ) {
		value.bind(function(to) {
			$('.sidebar #recent-posts-2 ul li a:hover, .sidebar .widget .recent-news .post-content h5 a:hover, .sidebar #recent-comments-2 ul li a:hover, li.recentcomments:hover, .sidebar #archives-2 ul li a:hover, .sidebar #categories-2 ul li a:hover, .sidebar #meta-2 ul li a:hover, .latest-post-wrap h5 a:hover, .latest-post-wrap .post-content h5:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('text_tabs',function( value ) {
		value.bind(function(to) {
			$('.widget.widget_gedung_news .nav-tabs li.active a, .widget.widget_gedung_news .nav-tabs li a').css('color', to ? to : '' );
		});
	});

	wp.customize('text_tabs2_hover',function( value ) {
		value.bind(function(to) {
			$('.widget.widget_gedung_news .nav-tabs li a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('bg_tabs2',function( value ) {
		value.bind(function(to) {
			$('.widget.widget_gedung_news .nav-tabs li.active a').css('background-color', to ? to : '' );
		});
	});

	wp.customize('bg_tabs1',function( value ) {
		value.bind(function(to) {
			$('.index-bg:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('title_tabs',function( value ) {
		value.bind(function(to) {
			$('.widget.widget_gedung_news .post-content h5').css('color', to ? to : '' );
		});
	});

	wp.customize('border_tabs',function( value ) {
		value.bind(function(to) {
			$('.widget.widget_gedung_news .nav-tabs').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('tag_cloud_border',function( value ) {
		value.bind(function(to) {
			$('.tagcloud a').css('border-color', to ? to : '' );
		});
	});

	wp.customize('tag_cloud_text',function( value ) {
		value.bind(function(to) {
			$('.tagcloud a').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_cloudhover_text',function( value ) {
		value.bind(function(to) {
			$('.tagcloud a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('tag_cloudhover_border',function( value ) {
		value.bind(function(to) {
			$('.tagcloud a:hover').css('border-color', to ? to : '' );
		});
	});

	wp.customize('tag_cloudhover_bg',function( value ) {
		value.bind(function(to) {
			$('.tagcloud a:hover').css('background-color', to ? to : '' );
		});
	});

	// CONTACT

	wp.customize('form_bord',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-2 .contact-item2:before, .contact-ef .border-form-top, .contact-ef').css('background-color', to ? to : '' );
		});
	});

	wp.customize('text_input',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-1 .contact-bordered input, .contact-form-style-2 .contact-item2 input, .contact-bordered.text-area textarea, .contact-form-style-2 .contact-item2 textarea').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_send',function( value ) {
		value.bind(function(to) {
			$('.gedung-contact-form .contact-form-style-1 input[type=submit]').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_send_text',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-1 input.wpcf7-submit, .contact-form-style-2 input.wpcf7-submit').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_send_hover',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-1 input.wpcf7-submit:hover, .contact-form-style-2 input.wpcf7-submit:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('btn_send_text_hover',function( value ) {
		value.bind(function(to) {
			$('.contact-form-style-1 input.wpcf7-submit:hover, .contact-form-style-2 input.wpcf7-submit:hover').css('color', to ? to : '' );
		});
	});


	/* ======================== PORTFOLIO SECTION ======================== */

	// PORTFOLIO SINGLE

	wp.customize('port_title',function( value ) {
		value.bind(function(to) {
			$('.header-style-1 .page-title h2, .post-title-porto-2 h1').css('color', to ? to : '' );
		});
	});

	wp.customize('category_portfolio',function( value ) {
		value.bind(function(to) {
			$('.portfolio-style1 span.category, .post-title-porto-2 span.category').css('color', to ? to : '' );
		});
	});

	wp.customize('detail1_title',function( value ) {
		value.bind(function(to) {
			$('.portfolio-style1 .project-details ul li span, .portfolio-details .detail-title').css('color', to ? to : '' );
		});
	});

	wp.customize('detail1_p',function( value ) {
		value.bind(function(to) {
			$('.portfolio-style1 .project-details ul li p, .portfolio-details .detail-info').css('color', to ? to : '' );
		});
	});

	wp.customize('detail1_border',function( value ) {
		value.bind(function(to) {
			$('.portfolio-style1 .project-details ul li, .portfolio-details .detail-item').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('detail1_desc',function( value ) {
		value.bind(function(to) {
			$('.portfolio-content p').css('color', to ? to : '' );
		});
	});

	wp.customize('detail1_pagination',function( value ) {
		value.bind(function(to) {
			$('.portfolio-pagination.next-prev-post .title').css('color', to ? to : '' );
		});
	});



	/* ======================== FOOTER SECTION ======================== */

	// FOOTER

	wp.customize('footer_text',function( value ) {
		value.bind(function(to) {
			$('.copyright-text, .footer-text-area, #footer.no-redux p, #footer.no-redux a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_link',function( value ) {
		value.bind(function(to) {
			$('.copyright-text a, .footer-menu li a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_hover_link',function( value ) {
		value.bind(function(to) {
			$('.copyright-text a:hover, .footer-menu li a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_social',function( value ) {
		value.bind(function(to) {
			$('.footer-bottom .social-footer ul li a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_hover_social',function( value ) {
		value.bind(function(to) {
			$('.footer-bottom .social-footer ul li a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_widget_bg',function( value ) {
		value.bind(function(to) {
			$('.footer-widget-wrapper').css('background-color', to ? to : '' );
		});
	});

	wp.customize('footer_widget_title',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer h4.widget-title').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_widgetborder_title',function( value ) {
		value.bind(function(to) {
			$('.footer-widget h4.widget-title .wrap-1:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('footer_widgetborder2_title',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .title').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('link_text_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer .latest-post-widget a, .latest-post-wrap h5, .footer-widget .widget_nav_menu ul li a, .footer-widget .widget-footer a').css('color', to ? to : '' );
		});
	});

	wp.customize('link_text_date',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer .post-content span').css('color', to ? to : '' );
		});
	});

	wp.customize('link_hover_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .widget-footer .latest-post-widget a:hover, .footer-widget .widget_nav_menu ul li a:hover, .footer-widget .widget-footer a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('text_widget',function( value ) {
		value.bind(function(to) {
			$('.footer-widget .textwidget').css('color', to ? to : '' );
		});
	});




} )( jQuery );