<?php while ( have_posts() ) : the_post();

	$gedung_client_name 	= get_field('client_name');
	$gedung_portfolio_year = get_field('portfolio_year');
	$gedung_project_url 	= get_field('project_url');
	$gedung_portfolio_gallery = get_field('gedung_gallery');

	$category_name = array();
	$category_slugs = array();
	$category_terms = wp_get_object_terms($post->ID, 'portfolio-category');
	if(!empty($category_terms)){
		if(!is_wp_error( $category_terms )){
			foreach($category_terms as $term){
				$category_name[] = $term->name;
				$category_slugs[] = $term->slug;
			}
		}
	}
	$gedung_porto_comas =  join( ", ", $category_name );
	$gedung_porto_space =  join( " ", $category_slugs );
?>

<div class="single-porto-inner-wrap portfolio-chocolat portfolio-style-2-wrap clearfix">
	<div class="container clearfix">

		<div class="portfolio-thumbnail-wrap column column-2of3 clearfix">
			<?php
			if ( has_post_format('gallery') ) {
				if($gedung_portfolio_gallery == 0){ ?>
				<div class="portfolio-thumbnail standard-thumb">
					<?php $gedung_porto_thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); ?>
					<div class="gallery-item" data-src="<?php echo esc_url( $gedung_porto_thumb[0] ); ?>" data-sub-html="<?php the_title(); ?>">
						<img src="<?php echo esc_url( $gedung_porto_thumb[0] ); ?>" alt="<?php the_title(); ?>">
					</div>
				</div>
				<?php }
				else { ?>
				<div class="portfolio-thumbnail standard-thumb">
					<?php foreach ( $gedung_portfolio_gallery as $porto_gal ) :
					$attachment_id = $porto_gal['ID'];
					$foto_name = $porto_gal['title']; ?>
					<div class="gallery-item" data-src="<?php echo esc_url( $porto_gal['url'] ); ?>" data-sub-html="<?php echo esc_attr( $foto_name ); ?>">
						<img src="<?php echo esc_url($porto_gal['url']); ?>" alt="<?php echo esc_attr( 'gallery' ); ?>">
					</div>
				<?php endforeach; ?>
				</div>
				<?php }
			}
			if ( has_post_format('video') ) { ?>
				<div class="featured-video clearfix">
					<?php 
						$video_url = get_field('video_url');
						$video_embed = get_field('video_embed');
						$video_file = get_field('video_file');
						
						if($video_url !== ''){ 
							echo wp_oembed_get( esc_url( $video_url ));
						} 

						elseif($video_embed !== '') { 
							echo wp_specialchars_decode( $video_embed );
						}

						elseif($video_file !== '') {  ?>
						<?php echo do_shortcode( '[video src="'. sanitize_text_field( $video_file ).'"]' ) ?>  
					<?php } ?>
				</div>
			<?php }
			if ( !get_post_format() ) { ?>
			<div class="portfolio-thumbnail standard-thumb clearfix">
				<?php $gedung_porto_thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); ?>
				<div class="gallery-item" data-src="<?php echo esc_url( $gedung_porto_thumb[0] ); ?>" data-sub-html="<?php the_title(); ?>">
					<img src="<?php echo esc_url( $gedung_porto_thumb[0] ); ?>" alt="<?php the_title(); ?>">
				</div>
			</div>
			<?php } ?>
		</div>
	
		<div class="porto2-detail-wrap column column-3 clearfix fixed-detail">
			<div class="post-title-porto-2 clearfix">
				<h1 class="clearfix">
					<?php the_title(); ?>
				</h1>

				<div class="category-portfolio">
					<?php $category_name = array();
					$category_slugs = array();
					$category_terms = wp_get_object_terms($post->ID, 'portfolio-category');
					if(!empty($category_terms)){
						if(!is_wp_error( $category_terms )){
						$category_slugs = array();
							foreach($category_terms as $term){
								$category_name[] = $term->name;
								$category_slugs[] = $term->slug;
							}

						$gedung_porto_comas =  join( ", ", $category_name );
						$gedung_porto_space =  join( " ", $category_slugs );

						}
					} ?>
					<span class="category"><?php echo esc_html($gedung_porto_comas); ?></span>
				</div>
			</div>

			<div class="portfolio-content clearfix">
				<?php the_content(); ?>

				<?php if(have_rows('portfolio_details')): ?>
				<div class="portfolio-details">
					<?php while(have_rows('portfolio_details')):the_row(); 
						$detail_name	= get_sub_field('detail_name');
						$detail_text	= get_sub_field('detail_text');
					?>
					<div class="detail-item">
						<span class="detail-title"><?php echo sanitize_text_field( $detail_name ); ?></span>
						<h5 class="detail-info"><?php echo sanitize_text_field( $detail_text ); ?></h5>
					</div>
					<?php endwhile; ?>
				</div>
				<?php endif; ?>
			</div>
		</div>

	</div>
</div>

<?php endwhile; // end of the loop. ?>

<div class="next-prev-post standard-1 portfolio-pagination container clearfix">
	<div class="pagination-wrap column column-2of3 clearfix">
		<div class="wrap-inner clearfix">

			<div class="row">
			<?php $next_post = get_next_post();
			$previous_post = get_previous_post(); ?>
			
			<div class="prev-post column column-3">
				<?php if ( get_previous_post() ) { ?>
				<a href="<?php echo get_permalink( $previous_post->ID ); ?>">
					<h4 class="title">
						<i class="icon-themify-4"></i>
						<?php esc_html_e( 'Prev Entry', 'gedung' ); ?>
					</h4>
				</a>
				<?php }
				else { ?>
					<h4 class="title no-link">
						<i class="icon-themify-4"></i>
						<?php esc_html_e( 'Prev Entry', 'gedung' ); ?>
					</h4>
				<?php } ?>
			</div>

			<div class="back-post column column-3">
			<?php if(class_exists( 'Redux' )) {
				$options					= get_option('gedung_framework');
				$gedung_portfolio_back_link   = $options['portfolio_back_link']; 
				if(!empty($gedung_portfolio_back_link)) { 

					$page_back = new WP_Query( array( 'page_id' => $gedung_portfolio_back_link ) );
					if ($page_back->have_posts()) : while($page_back->have_posts()) : $page_back->the_post();
					?>
					<a href="<?php the_permalink(); ?>">
						<h4 class="title">
							<?php esc_html_e( 'Home', 'gedung' ); ?>
						</h4>
					</a>
				<?php 
					endwhile; endif; wp_reset_postdata();
					}
					else { ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<h4 class="title">
							<?php esc_html_e( 'Home', 'gedung' ); ?>
						</h4>
					</a>
					<?php }
				} ?>
			</div>

			<div class="next-post column column-3">
				<?php if ( get_next_post() ) { ?>
				<a href="<?php echo get_permalink( $next_post->ID ); ?>">
					<h4 class="title">
						<?php esc_html_e( 'Next Entry', 'gedung' ); ?>
						<i class="icon-themify-3"></i>
					</h4>
				</a>
				<?php }
				else { ?>
					<h4 class="title no-link">
						<?php esc_html_e( 'Next Entry', 'gedung' ); ?>
						<i class="icon-themify-3"></i>
					</h4>
				<?php } ?>
			</div>

			</div>
		</div>
	</div>
</div>
<!-- pagination end -->